#!/usr/local/bin/ruby -w

require "runit/testcase"
require "runit/cui/testrunner"

require "Parser"

class Tester < RUNIT::TestCase
	def setup
	end

	def test_0_parsing
		testwords = %w{ domo arbdomo arbadomo amuzado kaj supersignoj mi mia mian miajn miaj min mino reveni nuntempe cxiuj }
		puts
		testwords.each { |word|
			printf( "%s #{word}\n", "#"*20 )
			EO::Parser.parse(word).each { |vorto| 
				puts "#{vorto.anglu} > #{vorto.validity}"
			}
		}
	end

=begin
	def test_1_speed
		50.times{|x|
			EO::Parser.parse( "amuzado" )
			printf "." if  x%10 == 0
			$stdout.flush if x%10 == 0
		}
	end
=end
end

RUNIT::CUI::TestRunner.run( Tester.suite )
